/*
 *	Copyright (C) 2007. PARP Research Group.
 *	<http://perception.inf.um.es>
 *	University of Murcia, Spain.
 *
 *	This file is part of the QVision library.
 *
 *	QVision is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU Lesser General Public License as
 *	published by the Free Software Foundation, version 3 of the License.
 *
 *	QVision is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU Lesser General Public License for more details.
 *
 *	You should have received a copy of the GNU Lesser General Public
 *	License along with QVision. If not, see <http://www.gnu.org/licenses/>.
 */

/// @file cpustat.h
/// @brief File from the QVision library.
/// @author PARP Research Group. University of Murcia, Spain.

#ifndef CPUSTAT_H
#define CPUSTAT_H
#include <QString>
#include <QStringList>
#include <QTime>

/// \cond Not documented By now
class CpuStat
{
public:
	CpuStat();
	void setFlag(QString name);
	bool isActive();
	QStringList getFlagNames();

	bool updateStats();
	double *getLastMeans();
	void step();
	void printStatsToConsole(bool enabled);

private:
	bool doneFirstRound, showStats;
	QStringList flagNames;
	QTime	lastTime;

	int rounds, totalRounds;
	double *temporal, *accumulated, *mean, *totalAccumulated;
};
/// \endcond Not documented By now
#endif
